<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Todd Riggins">
   <meta name="GENERATOR" content="Mozilla/4.61 [en] (Win98; I) [Netscape]">
   <title>EXOTICA: INITIALIZE EXOTICA</title>
</head>
<body background="images/exotica_bg.gif" bgcolor="#000000" text="#ffffff">
<center>
<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="maroon"><font size=+2>
<a NAME="INIT"></a>EXOTICA: INITIALIZE EXOTICA
</font></font></b></center></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="black">
Contents<p>
3 routines
<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_dinit.html#EXOTICA_INIT">EXOTICA_INIT</A><br>
<A href="e_dinit.html#EXOTICA_EXIT">EXOTICA_EXIT</A><br>
<A href="e_dinit.html#WINVER">WINVER</A><br>
</font></b></td></tr>
</table>
</font></b></center></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="EXOTICA_INIT"></a><center><font color="Maroon">EXOTICA_INIT</font></center>
<hr WIDTH="100%">
C: int EXOTICA_INIT( HWND hWnd, HINSTANCE hInstance )<br>
<hr WIDTH="100%">
Euphoria Function: c_func(EXOTICA_INIT, {HWND, HINSTANCE})<br>
<hr WIDTH="100%">
Description: You must call EXOTICA_INIT to use Exotica's routines. Also, Exotica must be supplied with the 
HWND handle and the HINSTANCE handle of your window. Currently, 'hwnd' and 'hInst' holds 
the current handles of your window which is defined in the 'emain.ew' file as globals.<br>
<hr WIDTH="100%">
Return Value: <br>
&nbsp; 0 = success <br>
&nbsp; 1 = failure <br>
<hr WIDTH="100%">
C Example: <br> 
&nbsp; funcval=EXOTICA_INIT( hwnd, hInst ); <br>
&nbsp; if (funcval != 0) return 1; <p>
Euphoria Example: <br> 
&nbsp; funcval=c_func(EXOTICA_INIT,{hwnd,hInst}) <br>
&nbsp; if funcval !=0 then return 1 <br>
&nbsp; end if<p> 
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="EXOTICA_EXIT"></a><center><font color="Maroon">EXOTICA_EXIT</font></center>
<hr WIDTH="100%">
C: void EXOTICA_EXIT( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(EXOTICA_EXIT,{NULL}) <br>
<hr WIDTH="100%">
Description: You must call EXOTICA_EXIT at the end of your program to free up memory used by Exotica. 
Currently, EXOTICA_EXIT will free up any Bitmaps, sounds and mods that you may have loaded 
that were created using Exotica's routines. Also, this routine will close down DirectDraw, DirectInput and DirectSound if you had called 
DDRAW_INIT, DINPUT_INIT and/or DSOUND_INIT. This means that you don't have to release the DirextX components using 
the DDRAW_RELEASE, DINPUT_RELEASE and/or DSOUND_RELEASE. EXOTICA_EXIT will always check for that. <br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="WINVER"></a><center><font color="Maroon">WINVER</font></center>
<hr WIDTH="100%">
C: unsigned int WINDOWS_VERSION( void )<br>
<hr WIDTH="100%">
Euhoria Function: c_func(WINVER,{NULL})<br>
<hr WIDTH="100%">
[Note: Not fully tested yet.]<p>
Description: Function that I plan to use alot in the future with Exotica and Euphoria.
It returns the version of windows you have running. <br>
</font></b></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>
</center>
</body>
</html>